> ## Documentation Index
> Fetch the complete documentation index at: https://docs.loopreturns.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Allowlist Item

> Retrieve an allowlist entry.

### Required API key scope
- Orders




## OpenAPI

````yaml get /allowlists/{id}
openapi: 3.1.0
info:
  title: Listings API
  description: >-
    Loop Listings can be utilized to allow exceptions and prevent returns in
    specific situations. This API can be used to manage your shop's listings.
  version: v1
servers:
  - url: https://api.loopreturns.com/api/v1
security: []
tags:
  - name: Blocklist
  - name: Allowlist
paths:
  /allowlists/{id}:
    get:
      tags:
        - Allowlist
      summary: Get Allowlist Item
      description: |
        Retrieve an allowlist entry.

        ### Required API key scope
        - Orders
      operationId: getAllowlistItem
      parameters:
        - name: id
          in: path
          required: true
          description: The unique identifier associated with the allowlist entry.
          schema:
            type: integer
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AllowlistEntryWithCreatedAtResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedResponse'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundResponse'
      security:
        - api_key: []
components:
  schemas:
    AllowlistEntryWithCreatedAtResponse:
      type: object
      properties:
        id:
          type: integer
          examples:
            - 1
          description: The unique identifier associated with the allowlist entry.
        type:
          $ref: '#/components/schemas/AllowlistValueType'
        value:
          type: string
          examples:
            - example@example.com
          description: >-
            The allowed value. Returns made using this value will override any
            other return ineligibility.
        created_at:
          type:
            - string
            - 'null'
          examples:
            - '2023-06-09 00:00:00'
          description: The date and time at which the entry was created.
    UnauthorizedResponse:
      type: object
      required:
        - errors
      properties:
        errors:
          type: string
          examples:
            - Unauthorized.
    NotFoundResponse:
      type: object
      properties:
        error:
          description: >-
            The error message returned when a blocklist entry associated with
            the given `id` can't be found.
          type: string
          examples:
            - Listing not found
    AllowlistValueType:
      type: string
      description: >-
        The type of value allowed by this allowlist entry. `order` is the order
        number of the allowed order and `email` is the customer's email address.
      enum:
        - order
        - email
  securitySchemes:
    api_key:
      type: apiKey
      name: X-Authorization
      in: header

````